Settings

Settings

Environment settings: tax rates, corporate identities, custom fields and email domains.

List tax rates

GET /v1/tax-rates

Optional `context`: `sales` or `purchase`

Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Query
Name Type Description
context string
Request body

None

Response
data array
code string
label string
type string
amount number
context string
profile string
meta object

Examples

GET /v1/tax-rates
curl -X GET "https://api.appficient.nl/v1/tax-rates" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

List corporate identities

GET /v1/corporate-identities

Branding and corporate identity settings

Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Request body

None

Response
data array
id string
name string
primary_color string
secondary_color string
is_default boolean
updated_at string
meta object

Examples

GET /v1/corporate-identities
curl -X GET "https://api.appficient.nl/v1/corporate-identities" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

List custom fields

GET /v1/custom-fields

Optional `entity` filter

Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Query
Name Type Description
entity string
Request body

None

Response
data array
entity string
Enum
invoice quote workorder client supplier
key string
label string
type string
Enum
text checkbox select
options array
meta object

Examples

GET /v1/custom-fields
curl -X GET "https://api.appficient.nl/v1/custom-fields" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

List email domains

GET /v1/email-domains

Optional `status`: `verified`, `pending`, `all`

Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Query
Name Type Description
status string
Request body

None

Response
data array
domain string
subdomain string
status string
Enum
verified pending
type string
created_at string
updated_at string
meta object

Examples

GET /v1/email-domains
curl -X GET "https://api.appficient.nl/v1/email-domains" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.